Множественные уязвимости в GraphicsMagick

Дата публикации:
25.10.2006
Дата изменения:
03.05.2008
Всего просмотров:
1219
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-4601
CVE-2006-0082
CVE-2006-3743
CVE-2006-4144
CVE-2006-5456
CVE-2007-1797
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
GraphicsMagick 1.x
Уязвимые версии: GraphicsMagick версии до 1.1.8

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в функции "ReadDCMImage()" в файле coders/dcm.c. Удаленный пользователь может с помощью специально сформированного DCM изображения вызвать переполнение буфера и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибок проверки границ данных в функции ReadPALMImage()" в файле coders/palm.c. Удаленный пользователь может с помощью специально сформированного PALM изображения вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки в делегированном коде. Удаленный пользователь может выполнить произвольные команды на системе. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/243622.php

4. Уязвимость существует из-за ошибки форматной строки имен файлов, полученных в качестве аргументов. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/243622.php

5. Целочисленное переполнение обнаружено в функции "ReadDCMImage()". Удаленный пользователь может вызвать переполнение динамической памяти. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/293716.php

6. Целочисленное переполнение обнаружено в функции "ReadSGIImage()". Удаленный пользователь может с помощью специально сформированного SGI изображения вызвать переполнение динамической памяти. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/272017.php

7. Уязвимость существует из-за ошибки проверки границ данных в функции "GenerateEXIFAttribute()" в файле magick/attribute.c. Удаленный пользователь может с помощью специально сформированного EXIF файла вызвать переполнение стека и выполнить произвольный код на целевой системе.

8. Целочисленное переполнение обнаружено в функции "ReadBMPImage()" в файле coders/bmp.c. Удаленный пользователь может с помощью специально сформированного BMP изображения аварийной завершить работу приложения.

9. Уязвимость существует из-за ошибки при обработке неожиданного окончания файла в функции "ReadBlobStringWithLongSize()" в файле coders/xcf.c. Удаленный пользователь может с помощью специально сформированного XCF изображения аварийно завершить работу приложения.

URL производителя: www.graphicsmagick.org

Решение: Установите последнюю версию 1.1.8 с сайта производителя.

Журнал изменений:

03.05.2008
Изменено описание уязвимости. Добавлены новые данные.

или введите имя

CAPTCHA